[![Actions Status](https://github.com/sanko/Acme-Insult-Pirate/actions/workflows/ci.yml/badge.svg)](https://github.com/sanko/Acme-Insult-Pirate/actions) [![MetaCPAN Release](https://badge.fury.io/pl/Acme-Insult-Pirate.svg)](https://metacpan.org/release/Acme-Insult-Pirate)
# NAME

Acme::Insult::Pirate - Programmatically Generate Pirate Themed Insults

# SYNOPSIS

```perl
use Acme::Insult::Pirate qw[insult];
say insult( ); # stringify
```

# DESCRIPTION

Acme::Insult::Pirate provides pirate themed 'insulting' statements generated by the Pirate Monkeyness Pirate Insult
API.

# METHODS

These functions may be imported by name or wit' the `:all` tag.

## `insult( [...] )`

Arr! Tear some rogue down.

```perl
my $shade = insult( ); # Random insult
print insult( ); # stringify
```

On success, an insult be returned as a blessed hash reference containin' the followin' data:

- `insult`

    The line ye best be throwin' at a scallywag.

# LICENSE & LEGAL

Copyright (C) Sanko Robinson.

This library is free software; you can redistribute it and/or modify it under the terms found in the Artistic License
2\. Other copyrights, terms, and conditions may apply to data transmitted through this module.

Insults are generated by the [Pirate Monkeyness Insult API](https://pirate.monkeyness.com/api.html).

# AUTHOR

Sanko Robinson <sanko@cpan.org>

## ...but why?

I'm inflicting this upon the world because [oodler577](https://github.com/oodler577/) invited me to help expand Perl's
coverage of smaller open APIs. Blame them or [join us](https://github.com/oodler577/FreePublicPerlAPIs) in the effort.
